PUT api/prospects/campaigns
Request Information
URI Parameters
None.
Body Parameters
ProspectSearchDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Prospect | CampaignPreviewDto |
None. |
|
| Person | PersonSearchDto |
None. |
|
| Skip | integer |
None. |
|
| Take | integer |
None. |
|
| SortOrder | string |
None. |
|
| IsNotStopped | boolean |
None. |
|
| HasNoFailedTelephone | boolean |
None. |
|
| HasNoFailedEmail | boolean |
None. |
|
| OrFilters | Collection of globally unique identifier |
None. |
|
| Products | Collection of globally unique identifier |
None. |
|
| Campaigns | Collection of globally unique identifier |
None. |
|
| NotReceivedMarketingInDays | integer |
None. |
|
| NotPutOrderInDays | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"prospect": {
"campaignId": "93e4eb23-f6f6-4fb9-841e-8b6df19a5d0a",
"toPersonIds": [
"7bdf3720-7b6a-442d-90eb-cdcac16a0a5c",
"8ddac0d4-0867-4096-9252-f6f62ec8c601"
],
"isNewPerson": true,
"email": "sample string 2",
"telephone": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"address": "sample string 6",
"postcode": "sample string 7",
"city": "sample string 8",
"productIds": [
"sample string 1",
"sample string 2"
],
"filterIds": [
"6e316ba2-3508-409b-8b1e-02325d4c7a6a",
"2bffc9fc-bfaf-49e1-bfff-447bcfaf3571"
],
"filterMaxCount": 9,
"filterNoOrderInDays": 10,
"filterNoCampaignInDays": 11,
"filterMustNotBeStopped": true,
"filterOrderOnProducts": [
"86f9ff3a-f054-4407-8412-7f19c3da14b2",
"e41f8df8-c6e8-49e3-a77d-1ea9f874cb65"
],
"filterOrderOnCampaigns": [
"a284933f-4249-483f-9d5a-662517adb81b",
"2d6f4c46-55e0-46ef-bd6e-90abe1b310ce"
],
"destinationType": "sample string 13"
},
"person": {
"name": "sample string 1",
"firstname": "sample string 2",
"lastname": "sample string 3",
"address": "sample string 4",
"postcode": "sample string 5",
"city": "sample string 6",
"country": "sample string 7",
"shortUnique": "sample string 8",
"email": "sample string 9",
"telephone": "sample string 10",
"inCampaign": "sample string 11",
"updatedFrom": "2026-03-09T10:57:56.9183033+01:00",
"updatedTo": "2026-03-09T10:57:56.9183033+01:00",
"lastBuyFrom": "2026-03-09T10:57:56.9183033+01:00",
"lastBuyTo": "2026-03-09T10:57:56.9183033+01:00",
"inActiveCampaign": true,
"recentlyBought": true,
"sortBy": "sample string 12",
"esecoCustomerNumber": "sample string 13",
"personalNumber": "sample string 14",
"products": {
"products": [
"110b0a07-7072-46c3-8044-c0cbfde34225",
"d258e9fb-83f2-4b87-aea0-bbdadea9547f"
],
"not": true,
"from": "2026-03-09T10:57:56.9183033+01:00",
"to": "2026-03-09T10:57:56.9183033+01:00"
},
"campaigns": {
"campaigns": [
"acdf81ae-3976-48c0-b3ea-ed966d98108b",
"2647430f-a067-4f7a-a20c-1001882f942d"
],
"not": true,
"from": "2026-03-09T10:57:56.9183033+01:00",
"to": "2026-03-09T10:57:56.9183033+01:00"
},
"isStop": true,
"isDiseased": true,
"isFailedEmail": true,
"isFailedSms": true,
"searchOnlyPersons": true,
"tag": "sample string 15"
},
"skip": 1,
"take": 2,
"sortOrder": "sample string 3",
"isNotStopped": true,
"hasNoFailedTelephone": true,
"hasNoFailedEmail": true,
"orFilters": [
"cae452bf-257a-4f72-b0d7-b3ebd1b237d6",
"6f536b68-e62b-432f-a68a-c3c5cc01c698"
],
"products": [
"6e528f18-c75b-4b33-832a-793166a19086",
"5ee94de0-5d1e-422f-8c4a-24c95d1819c6"
],
"campaigns": [
"fddcd9d4-08cc-4283-bac2-c67edb289b04",
"a39b23fd-a02d-4390-9e4e-ed02bc732402"
],
"notReceivedMarketingInDays": 7,
"notPutOrderInDays": 8
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.